/***********************************************************************

     FONCTION :
     ----------
        File OpenGl_togl_element_exploration :
 

     REMARQUES:
     ---------- 
      

     HISTORIQUE DES MODIFICATIONS   :
     --------------------------------
       xx-xx-xx : xxx ; Creation.
       11-03-96 : FMN ; Correction warning compilation
       01-04-96 : CAL ; Integration MINSK portage WNT

************************************************************************/

/*----------------------------------------------------------------------*/
/*
 * Includes
 */ 


#include <OpenGl_tgl_all.h>
#include <InterfaceGraphic_Graphic3d.hxx>
#include <OpenGl_tgl.h>
#include <OpenGl_tgl_subrs.h>
#include <OpenGl_tgl_elems.h>

void EXPORT
call_togl_element_exploration
(
	long Id,
	long elem_num,
	long *type,
	CALL_DEF_POINT *pt,
	CALL_DEF_NORMAL *npt,
	CALL_DEF_COLOR *cpt, 
	CALL_DEF_NORMAL *nfa
)
{
    call_subr_structure_exploration (Id, 0, 0, elem_num, (Tint *)type,
						       pt, npt, cpt, nfa);

    switch( *type )
    {
        /* case CALL_PHIGS_ELEM_POLYLINE3 : */
        /* case CALL_PHIGS_ELEM_POLYLINE : */
        case CALL_PHIGS_ELEM_POLYLINE_SET3_DATA :
            *type = 1;
            break;

        case CALL_PHIGS_ELEM_FILL_AREA3 :
        /* case CALL_PHIGS_ELEM_FILL_AREA : */
        /* case CALL_PHIGS_ELEM_FILL_AREA_SET3 : */
        /* case CALL_PHIGS_ELEM_FILL_AREA_SET : */
        /* case CALL_PHIGS_ELEM_FILL_AREA_SET3_DATA : */
        /* case CALL_PHIGS_ELEM_SET_OF_FILL_AREA_SET3_DATA : */
            *type = 2;
            break;

        case CALL_PHIGS_ELEM_TRI_STRIP3_DATA :
            *type = 3;
            break;

        case CALL_PHIGS_ELEM_QUAD_MESH3_DATA :
            *type        = 4;
            break;

        /* case CALL_PHIGS_ELEM_TEXT3 : */
        /* case CALL_PHIGS_ELEM_TEXT : */
        case CALL_PHIGS_ELEM_ANNO_TEXT_REL3 :
        /* case CALL_PHIGS_ELEM_ANNO_TEXT_REL : */
            *type = 5;
            break;

        case CALL_PHIGS_ELEM_POLYMARKER3 :
        /* case CALL_PHIGS_ELEM_POLYMARKER : */
            *type = 6;
            break;

        default :
            *type = 0;
            break;
    }
    return;
}
